# dask.dataframe.DataFrame.quantile

DataFrame.quantile(q=0.5, axis=0, numeric_only=<no_default>, method='default')

  Approximate row-wise and precise column-wise quantiles of DataFrame

  Parameters:
    q list/array of floats, default 0.5 (50%)

      Iterable of numbers ranging from 0 to 1 for the desired quantiles

    axis{0, 1, ‘index’, ‘columns’} (default 0)

      0 or ‘index’ for row-wise, 1 or ‘columns’ for column-wise

    method{‘default’, ‘tdigest’, ‘dask’}, optional

      What method to use. By default will use dask’s internal custom algorithm (`'dask'`). If set to `'tdigest'` will use tdigest for floats and ints and fallback to the `'dask'` otherwise.